# Run a search application search **POST /_application/search_application/{name}/_search** **All methods and paths for this operation:**
GET /_application/search_application/{name}/_search
POST /_application/search_application/{name}/_search
Generate and run an Elasticsearch query that uses the specified query parameteter and the search template associated with the search application or default template. Unspecified template parameters are assigned their default values if applicable. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Api key auth - Basic auth - Bearer auth ## Parameters ### Path parameters - **name** (string) The name of the search application to be searched. ### Query parameters - **typed_keys** (boolean) Determines whether aggregation names are prefixed by their respective types in the response. ### Body: application/json (object) - **params** (object) Query parameters specific to this request, which will override any defaults specified in the template. ## Responses ### 200 #### Body: application/json (object) - **took** (number) The number of milliseconds it took Elasticsearch to run the request. This value is calculated by measuring the time elapsed between receipt of a request on the coordinating node and the time at which the coordinating node is ready to send the response. It includes: * Communication time between the coordinating node and data nodes * Time the request spends in the search thread pool, queued for execution * Actual run time It does not include: * Time needed to send the request to Elasticsearch * Time needed to serialize the JSON response * Time needed to send the response to a client - **timed_out** (boolean) If `true`, the request timed out before completion; returned results may be partial or empty. - **_shards** (object) A count of shards used for the request. - **hits** (object) The returned documents and metadata. - **aggregations** (object) - **_clusters** (object) - **fields** (object) - **max_score** (number) - **num_reduce_phases** (number) - **profile** (object) - **pit_id** (string) - **_scroll_id** (string) The identifier for the search and its search context. You can use this scroll ID with the scroll API to retrieve the next batch of search results for the request. This property is returned only if the `scroll` query parameter is specified in the request. - **suggest** (object) - **terminated_early** (boolean) [Powered by Bump.sh](https://bump.sh)